@charset "utf-8";

li{
    margin: 10px;
}
a{
    text-decoration: none;
    color: white;
}
.header-wrapper{
    display: flex;
}
#navi{
    position: fixed; 
    top: 80px;
    left: 50px;
    z-index: 200;
    transform: translateX(-350px);
    transition: 1s;
}
#navi.open{
    transform: translateX(+1px);
}

/* toggleボタン配下のspanタグ */
.toggle_btn span{
    width: 40px;
    height: 2px;
    display: block;
    background-color: #ccc2c2; 
    margin: 8px 0;
}
.toggle_btn{
    position: fixed;
    top: 30px;
    left: 20px;
    cursor: pointer;
    z-index: 100;
}
.toggle_btn.open span:nth-child(1){
    transform: translateY(5px) rotate(-45deg);
}
.toggle_btn.open span:nth-child(2){
    transform: translateY(-5px) rotate(45deg);
}
.toggle_btn.open span{
    background-color: #fff;
}
#mask.open{
    background-color: #000;
    opacity: .8;
    width: 30%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
}

@media(max-width: 1000px){
    #mask.open{
        width: 50%;
    }
}

@media(max-width: 550px){
    #navi{
        position: fixed; 
        top: 50px;
        left: 0px;
        z-index: 200;
        transform: translateX(-450px);
        transition: 1.2s;
    }
    #mask.open{
        width: 100%;
    }
}